Summary:	xkill application to kill a client by its X resource
Summary(pl.UTF-8):	Aplikacja xkill do zabijania klientów poprzez ich zasoby X
Name:		xorg-app-xkill
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xkill-%{version}.tar.bz2
# Source0-md5:	0ae6bc2a8d3af68e9c76b1a6ca5f7a78
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xkill is a utility for forcing the X server to close connections to
clients. This program is very dangerous, but is useful for aborting
programs that have displayed undesired windows on a user's screen.

%description -l pl.UTF-8
Aplikacja xkill to narzędzie zmuszające serwer X do zamknięcia
połączeń z klientami. Ten program jest bardzo niebezpieczny, ale
przydatny do przerywania programów, które wyświetliły niepożądane
okienka na ekranie użytkownika.

%prep
%setup -q -n xkill-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xkill
%{_mandir}/man1/xkill.1*
%changelog
* Wed Sep 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xkill.git;a=log;h=master

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> f74ccc4
- fixed build without xman suffix

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 0f54b69
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 92fb9c0
- dropped pre-cvs changelog

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 07e7531
- updated to 1.0.3

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 1a3b1a5
- update to 1.0.2
- real descriptions

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d2a6ce4
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a8991c6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7bbf3d8
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 0d6e06a
- use individual dir, more verbose files, release 1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> ff08930
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 02f1316
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> b320d8a
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> e17110f
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 75cbebd
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> cdc5235
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 40695da
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> f5756c0
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c76a53
- modular xorg specs

